Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.install
Interface InstallerFactory

All Known Implementing Classes:
  FtpSwordInstallerFactory, HttpSwordInstallerFactory

    public interface InstallerFactory

An abstract factory to allow generic creation of Installers.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: InstallerFactory.java,v 1.1 2004/02/04 09:52:53 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Method Summary
`Installer` | `createInstaller()` Create a new Installer with default values for editing via bean properties.
`Installer` | `createInstaller(String url)` Create a new Installer with values from the given url to use for initial values.

Method Detail

### createInstaller

    Installer createInstaller()

  Create a new Installer with default values for editing via bean properties.

  Returns:
    A new Installer implemented to fit with this Factory

### createInstaller

    Installer createInstaller(String url)

  Create a new Installer with values from the given url to use for initial values.

  Parameters:
    `url` - The configuration string
  Returns:
    A new Installer implemented to fit with this Factory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD